/*
 *	Copyright (C) 2020 3D Repo Ltd
 *
 *	This program is free software: you can redistribute it and/or modify
 *	it under the terms of the GNU Affero General Public License as
 *	published by the Free Software Foundation, either version 3 of the
 *	License, or (at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU Affero General Public License for more details.
 *
 *	You should have received a copy of the GNU Affero General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "SampleRepoSupermeshActor.h"

// Sets default values
ASampleRepoSupermeshActor::ASampleRepoSupermeshActor()
{
 	// Set this actor to call Tick() every frame.  You can turn this off to improve performance if you don't need it.
	PrimaryActorTick.bCanEverTick = true;

	HighlightMap = CreateDefaultSubobject<URepoSupermeshMapComponent>(FName("HighlightMap"));
	HighlightMap->ParameterName = FName("HighlightMap");
}

// Called when the game starts or when spawned
void ASampleRepoSupermeshActor::BeginPlay()
{
	Super::BeginPlay();
	
}

// Called every frame
void ASampleRepoSupermeshActor::Tick(float DeltaTime)
{
	Super::Tick(DeltaTime);

}

